<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd">

  <bean id="mainController" class="com.abcseo.mvc.MainController">
    <property name="customerDAO">
      <ref bean="customerDAO"/>
    </property>
  </bean>
  
  <bean name="custDetailsController" class="com.abcseo.mvc.CustDetailsController">
    <property name="customerDAO">
      <ref bean="customerDAO"/>
    </property>
  </bean>
  
  <bean id="controllermap" class="org.springframework.web.servlet.handler.SimpleUrlHandlerMapping">
    <property name="mappings">
    <props>
      <prop key="/home.htm">mainController</prop>
      <prop key="/custdet.htm">custDetailsController</prop>
    </props>
    </property>
  </bean>
  
  <bean id="viewResolver"
		class="org.springframework.web.servlet.view.InternalResourceViewResolver">
		<property name="viewClass"
			value="org.springframework.web.servlet.view.JstlView" />
		<property name="prefix" value="/jsp/" />
		<property name="suffix" value=".jsp" />
	</bean>

</beans>